Skip to content

Retrieve the API Usage log for a single day, up to 30 days in the past. The log contains information such as user name, user ID, remaining burst and daily limits, and the endpoint called. Users with the Admin > Logs > API Usage Logs permission can access these logs.

Note that the daily API Usage logs may have a delay of about 10 minutes. If your log does not include appropriate data, know that your data is not lost, it is just not yet populated.

GET/api/{version}/logs/api_usage?date=YYYY-MM-DD

Note that this Accept header only changes the format of the response in the case of an error. This does not change the file format of the download.

NameDescription
Acceptapplication/json (default) or application/xml

You can modify the request by using one or more of the following parameters:

NameDescription
dateThe day to retrieve the API Usage log. Date is in UTC and follows the format YYYY-MM-DD. Date cannot be more than 30 days in the past.
log_formatOptional: Specify the format to download. Possible values are csv or logfile. If omitted, defaults to csv. Note that this call always downloads a ZIP file, and this parameter will change the format of the file contained within the ZIP.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v18.1/logs/api_usage?date=2018-01-31 > file
Content-Type: application/octet-stream;charset=UTF-8 Content-Disposition: attachment;filename="response.zip"

On SUCCESS, Vault retrieves the API Usage log from the specified date as a .ZIP file. The HTTP Response Header Content-Type is set to application/octet-stream. The returned CSV or Logfile includes the following data: